#
# spec file for package python-ipaddr
#
# Copyright (c) 2012 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#



Name:           python-ipaddr
Version:        2.1.10
Release:        1.2
Url:            http://code.google.com/p/ipaddr-py/
Summary:        Google's IP address manipulation library
License:        Apache-2.0
Group:          Development/Languages/Python
Source:         ipaddr-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  python-devel
BuildRequires:  python-distribute
BuildRequires:  python-nose
%if 0%{?suse_version}
%py_requires
%if 0%{?suse_version} > 1110
BuildArch:      noarch
%endif
%endif
%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

%description
Google's IP address manipulation library. An IPv4/IPv6 manipulation library
in Python. This library is used to create/poke/manipulate IPv4 and IPv6
addresses and prefixes.

%prep
%setup -q -n ipaddr-%{version}
sed -i "1d" ipaddr.py # Fix non-executable script

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}

%check
nosetests

%files
%defattr(-,root,root,-)
%doc COPYING README  RELEASENOTES
%{python_sitelib}/*

%changelog
* Sun Jan 22 2012 klaussfreire@gmail.com
  Update to upstream ipaddr 2.1.10
- i84, fix iterhosts for /31's or /127's
- private method arg cleanup.
- i83, docstring issue.
- i87, new ipv4/ipv6 parser. patch from pmarks
- i90, fix copyright.
- bytes fix. patch from pmarks.-
* Wed Nov 16 2011 klaussfreire@users.sourceforge.net
- Fix license file to have proper attribution
  (upstream issue 90)
* Thu Sep 22 2011 saschpe@suse.de
- Re-generated spec file with py2pack
- Run testsuite (using python-nose)
- Fix non-executable script rpmlint warning
* Fri Jul  8 2011 klaussfreire@users.sourceforge.net
- Initial package, upstream ipaddr 2.1.9
